aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-09-07 04:47:55 -0300
committerLeo <thinkabit.ukim@gmail.com>2019-09-07 05:06:07 -0300
commitccbf6f08e2812495dfbfbadfa46e554ba8b1c6ae (patch)
tree07ffc5ade122cfe8dabc1113a48d50869bf7f387
parentb00e17847dcd3af333f15f9f1f902086d59dc92f (diff)
downloadaports-ccbf6f08e2812495dfbfbadfa46e554ba8b1c6ae.tar.bz2
aports-ccbf6f08e2812495dfbfbadfa46e554ba8b1c6ae.tar.xz
community/libmbim: upgrade to 1.20.0
-rw-r--r--community/libmbim/APKBUILD41
1 files changed, 31 insertions, 10 deletions
diff --git a/community/libmbim/APKBUILD b/community/libmbim/APKBUILD
index d71c46bbe1..11e370c617 100644
--- a/community/libmbim/APKBUILD
+++ b/community/libmbim/APKBUILD
@@ -1,19 +1,22 @@
# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=libmbim
-pkgver=1.18.2
+pkgver=1.20.0
pkgrel=0
pkgdesc="MBIM modem protocol helper library"
url="https://www.freedesktop.org/wiki/Software/libmbim/"
arch="all"
-license="GPL-2.0-or-later LGPL-2.1-or-later"
-makedepends="$depends_dev gtk-doc python2 glib-dev py-gobject libgudev-dev"
-subpackages="$pkgname-dev $pkgname-doc"
-source="https://www.freedesktop.org/software/libmbim/$pkgname-$pkgver.tar.xz"
-builddir="$srcdir"/$pkgname-$pkgver
+license="GPL-2.0-or-later AND LGPL-2.1-or-later"
+makedepends="$depends_dev gtk-doc python3 glib-dev py3-gobject3 libgudev-dev"
+subpackages="
+ $pkgname-dev
+ $pkgname-doc
+ $pkgname-tools
+ $pkgname-bash-completion:bashcomp:noarch
+ "
+source="https://www.freedesktop.org/software/libmbim/libmbim-$pkgver.tar.xz"
build() {
- cd "$builddir"
./configure \
--prefix=/usr \
--sysconfdir=/etc \
@@ -23,13 +26,31 @@ build() {
}
check() {
- cd "$builddir"
make check
}
package() {
- cd "$builddir"
make DESTDIR="$pkgdir" install
}
-sha512sums="2da289f60d2fb9678f969b591f8addc724bef8c2780011e62567a9ade2ebc71bc4dd76e54f93335aa475e65c733e3628d9f2f96f81f8797ec809042c046eb828 libmbim-1.18.2.tar.xz"
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname-tools=$pkgver-r$pkgrel bash-completion"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
+ mv "$pkgdir"/usr/share/bash-completion/completions/* \
+ "$subpkgdir"/usr/share/bash-completion/completions/mbimcli
+ rmdir -p "$pkgdir"/usr/share/bash-completion/completions 2>/dev/null || true
+}
+
+tools() {
+ pkgdesc="Tools for libmbim"
+
+ mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/libexec
+ mv "$pkgdir"/usr/bin/* "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/libexec/* "$subpkgdir"/usr/libexec
+ rmdir -p "$pkgdir"/usr/bin "$pkgdir"/usr/libexec 2>/dev/null || true
+}
+
+sha512sums="9620743a947d3658cc10162d14f47a1c7f0210f2592c80a22ed17904b419a2a82a1dd76e251e2675025071493b30ac69f2e075b991a0d348ee70f45ec404fef1 libmbim-1.20.0.tar.xz"